Bug 1478147 - multiple asynchronous mirror device failures lead to deadlocks
multiple asynchronous mirror device failures lead to deadlocks
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2 (Show other bugs)
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Heinz Mauelshagen
Depends On: 1325457
  Show dependency treegraph
Reported: 2017-08-03 13:33 EDT by Corey Marthaler
Modified: 2017-10-12 10:50 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1325457
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 2 Zdenek Kabelac 2017-08-22 09:06:48 EDT
I assume the issue here is - 'dmeventd'  protects against 'failure' of standard running mirror.

As soon as old mirror is 'upconverting'  there is nothing yet to resolve blocked mirror in upconversion  (aka mirror on mirror)

This is nontrivial to resolve, since there is not much devel being done with old mirrors....

Note You need to log in before you can comment on or make changes to this bug.